<?php
/*
 Plugin Name: BuddyPress Forums Extras - ShortCodes
 Plugin URI: http://wordpress.org/extend/plugins/buddypress-group-forum-extras/
 Description: Add Shortcode filter to topic_post_content (for BBCode - http://wordpress.org/extend/plugins/bbcode/ ) NOT recommend for external bbPress installs.
 Author: rich fuller - etiviti (rich!)
 Author URI: http://buddypress.org/developers/nuprn1/
 License: GNU GENERAL PUBLIC LICENSE 3.0 http://www.gnu.org/licenses/gpl.txt
 Version: 0.1.3
 Text Domain: bp-forums-extras
 Site Wide Only: true
*/

function bp_forum_extras_shortcode_setup_globals() {
	
	add_filter( 'bp_forums_allowed_tags', 'bp_forum_extras_allowed_tags', 1, 1 );
	
	add_filter( 'bp_get_the_topic_post_content', 'do_shortcode' );

}
add_action( 'bp_forum_extras_setup_globals', 'bp_forum_extras_shortcode_setup_globals',1);

function bp_forum_extras_shortcode_add_admin_screen() {
	global $bp;

	if ( !is_site_admin() )
		return false;

	?>
	<h4>ShortCode enabled</h4>
	<p>to use BBCode - install this <a href="http://wordpress.org/extend/plugins/bbcode/">Wordpress Plugin</a></p>
	<div class="description">Please Note: If you use an external bbPress install - your bbPress installation outside of BuddyPress will not filter the same shortcodes. Instead Enable: BuddyPress Forums Extras - BBCode (noshortcode) which will convert bbcode to html prior to database updates.</div>
	<?php

}
add_action('bp_forum_extras_admin_screen','bp_forum_extras_shortcode_add_admin_screen');

?>